<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>BasicBuilderProperties (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BasicBuilderProperties (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BasicBuilderProperties.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/builder/BasicBuilderProperties.html" target="_top">Frames</a></li>
<li><a href="BasicBuilderProperties.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.builder</div>
<h2 title="Interface BasicBuilderProperties" class="title">Interface BasicBuilderProperties&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - the type of the result of all set methods for method chaining</dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/builder/fluent/CombinedBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">CombinedBuilderParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/fluent/DatabaseBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">DatabaseBuilderParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/fluent/FileBasedBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">FileBasedBuilderParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/fluent/HierarchicalBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">HierarchicalBuilderParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/fluent/INIBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">INIBuilderParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/fluent/JndiBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">JndiBuilderParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/fluent/MultiFileBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">MultiFileBuilderParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/fluent/PropertiesBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">PropertiesBuilderParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/fluent/XMLBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">XMLBuilderParameters</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedBuilderParametersImpl</a>, <a href="../../../../../org/apache/commons/configuration2/builder/DatabaseBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">DatabaseBuilderParametersImpl</a>, <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>, <a href="../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">HierarchicalBuilderParametersImpl</a>, <a href="../../../../../org/apache/commons/configuration2/builder/INIBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">INIBuilderParametersImpl</a>, <a href="../../../../../org/apache/commons/configuration2/builder/JndiBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">JndiBuilderParametersImpl</a>, <a href="../../../../../org/apache/commons/configuration2/builder/combined/MultiFileBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder.combined">MultiFileBuilderParametersImpl</a>, <a href="../../../../../org/apache/commons/configuration2/builder/PropertiesBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">PropertiesBuilderParametersImpl</a>, <a href="../../../../../org/apache/commons/configuration2/builder/XMLBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">XMLBuilderParametersImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">BasicBuilderProperties&lt;T&gt;</span></pre>
<div class="block"><p>
 Definition of a properties interface for basic parameters which are supported
 by all <a href="../../../../../org/apache/commons/configuration2/builder/ConfigurationBuilder.html" title="interface in org.apache.commons.configuration2.builder"><code>ConfigurationBuilder</code></a> implementations derived from
 <a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder"><code>BasicConfigurationBuilder</code></a>.
 </p>
 <p>
 This interface defines the single properties supported by a parameters
 object. Properties can be set using a fluent API making it convenient for
 client code to specify concrete property values in a single statement.
 </p>
 <p>
 <strong>Important note:</strong> This interface is not intended to be
 implemented by client code! It defines a set of available properties and may
 be extended even in minor releases.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: BasicBuilderProperties.java 1735895 2016-03-20 18:40:47Z oheger $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="type parameter in BasicBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setBeanHelper-org.apache.commons.configuration2.beanutils.BeanHelper-">setBeanHelper</a></span>(<a href="../../../../../org/apache/commons/configuration2/beanutils/BeanHelper.html" title="class in org.apache.commons.configuration2.beanutils">BeanHelper</a>&nbsp;beanHelper)</code>
<div class="block">Sets a <code>BeanHelper</code> object to be used by the configuration builder.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="type parameter in BasicBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setConfigurationDecoder-org.apache.commons.configuration2.ConfigurationDecoder-">setConfigurationDecoder</a></span>(<a href="../../../../../org/apache/commons/configuration2/ConfigurationDecoder.html" title="interface in org.apache.commons.configuration2">ConfigurationDecoder</a>&nbsp;decoder)</code>
<div class="block">Sets the <code>ConfigurationDecoder</code> object for this configuration.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="type parameter in BasicBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setConversionHandler-org.apache.commons.configuration2.convert.ConversionHandler-">setConversionHandler</a></span>(<a href="../../../../../org/apache/commons/configuration2/convert/ConversionHandler.html" title="interface in org.apache.commons.configuration2.convert">ConversionHandler</a>&nbsp;handler)</code>
<div class="block">Sets the <code>ConversionHandler</code> object for this configuration.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="type parameter in BasicBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setDefaultLookups-java.util.Collection-">setDefaultLookups</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;? extends <a href="../../../../../org/apache/commons/configuration2/interpol/Lookup.html" title="interface in org.apache.commons.configuration2.interpol">Lookup</a>&gt;&nbsp;lookups)</code>
<div class="block">Adds additional default <code>Lookup</code> objects (i.e. lookups which are
 not associated with a specific prefix) to this configuration object.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="type parameter in BasicBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setInterpolator</a></span>(<a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol">ConfigurationInterpolator</a>&nbsp;ci)</code>
<div class="block">Sets the <code>ConfigurationInterpolator</code> to be used for this
 configuration.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="type parameter in BasicBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setListDelimiterHandler-org.apache.commons.configuration2.convert.ListDelimiterHandler-">setListDelimiterHandler</a></span>(<a href="../../../../../org/apache/commons/configuration2/convert/ListDelimiterHandler.html" title="interface in org.apache.commons.configuration2.convert">ListDelimiterHandler</a>&nbsp;handler)</code>
<div class="block">Sets the value of the <em>listDelimiterHandler</em> property.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="type parameter in BasicBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setLogger-org.apache.commons.configuration2.io.ConfigurationLogger-">setLogger</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/ConfigurationLogger.html" title="class in org.apache.commons.configuration2.io">ConfigurationLogger</a>&nbsp;log)</code>
<div class="block">Sets the <em>logger</em> property.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="type parameter in BasicBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setParentInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setParentInterpolator</a></span>(<a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol">ConfigurationInterpolator</a>&nbsp;parent)</code>
<div class="block">Sets the parent <code>ConfigurationInterpolator</code> for this
 configuration's <code>ConfigurationInterpolator</code>.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="type parameter in BasicBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setPrefixLookups-java.util.Map-">setPrefixLookups</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,? extends <a href="../../../../../org/apache/commons/configuration2/interpol/Lookup.html" title="interface in org.apache.commons.configuration2.interpol">Lookup</a>&gt;&nbsp;lookups)</code>
<div class="block">Sets additional <code>Lookup</code> objects for specific prefixes for this
 configuration object.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="type parameter in BasicBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setSynchronizer-org.apache.commons.configuration2.sync.Synchronizer-">setSynchronizer</a></span>(<a href="../../../../../org/apache/commons/configuration2/sync/Synchronizer.html" title="interface in org.apache.commons.configuration2.sync">Synchronizer</a>&nbsp;sync)</code>
<div class="block">Sets the <code>Synchronizer</code> object for this configuration.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="type parameter in BasicBuilderProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setThrowExceptionOnMissing-boolean-">setThrowExceptionOnMissing</a></span>(boolean&nbsp;b)</code>
<div class="block">Sets the value of the <em>throwExceptionOnMissing</em> property.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setLogger-org.apache.commons.configuration2.io.ConfigurationLogger-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLogger</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="type parameter in BasicBuilderProperties">T</a>&nbsp;setLogger(<a href="../../../../../org/apache/commons/configuration2/io/ConfigurationLogger.html" title="class in org.apache.commons.configuration2.io">ConfigurationLogger</a>&nbsp;log)</pre>
<div class="block">Sets the <em>logger</em> property. With this property a concrete
 <code>ConfigurationLogger</code> object can be set for the configuration. Thus
 logging behavior can be controlled.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>log</code> - the <code>Log</code> for the configuration produced by this builder</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setThrowExceptionOnMissing-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setThrowExceptionOnMissing</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="type parameter in BasicBuilderProperties">T</a>&nbsp;setThrowExceptionOnMissing(boolean&nbsp;b)</pre>
<div class="block">Sets the value of the <em>throwExceptionOnMissing</em> property. This
 property controls the configuration's behavior if missing properties are
 queried: a value of <b>true</b> causes the configuration to throw an
 exception, for a value of <b>false</b> it will return <b>null</b> values.
 (Note: Methods returning a primitive data type will always throw an
 exception if the property is not defined.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>b</code> - the value of the property</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setListDelimiterHandler-org.apache.commons.configuration2.convert.ListDelimiterHandler-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setListDelimiterHandler</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="type parameter in BasicBuilderProperties">T</a>&nbsp;setListDelimiterHandler(<a href="../../../../../org/apache/commons/configuration2/convert/ListDelimiterHandler.html" title="interface in org.apache.commons.configuration2.convert">ListDelimiterHandler</a>&nbsp;handler)</pre>
<div class="block">Sets the value of the <em>listDelimiterHandler</em> property. This
 property defines the object responsible for dealing with list delimiter
 and escaping characters. Note:
 <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2"><code>AbstractConfiguration</code></a>
 does not allow setting this property to <b>null</b>. If the default
 <code>ListDelimiterHandler</code> is to be used, do not call this method.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>handler</code> - the <code>ListDelimiterHandler</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInterpolator</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="type parameter in BasicBuilderProperties">T</a>&nbsp;setInterpolator(<a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol">ConfigurationInterpolator</a>&nbsp;ci)</pre>
<div class="block">Sets the <code>ConfigurationInterpolator</code> to be used for this
 configuration. Using this method a custom
 <code>ConfigurationInterpolator</code> can be set which can be freely
 configured. Alternatively, it is possible to add custom <code>Lookup</code>
 objects using other methods provided by this interface.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ci</code> - the <code>ConfigurationInterpolator</code> for this configuration</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setPrefixLookups-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPrefixLookups</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="type parameter in BasicBuilderProperties">T</a>&nbsp;setPrefixLookups(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,? extends <a href="../../../../../org/apache/commons/configuration2/interpol/Lookup.html" title="interface in org.apache.commons.configuration2.interpol">Lookup</a>&gt;&nbsp;lookups)</pre>
<div class="block">Sets additional <code>Lookup</code> objects for specific prefixes for this
 configuration object. All <code>Lookup</code> objects contained in the given
 map are added to the configuration's <code>ConfigurationInterpolator</code>.
 Note: This method only takes effect if no
 <code>ConfigurationInterpolator</code> is set using the
 <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-"><code>setInterpolator(ConfigurationInterpolator)</code></a> method.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>lookups</code> - a map with <code>Lookup</code> objects and their associated
        prefixes</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html#registerLookups-java.util.Map-"><code>ConfigurationInterpolator.registerLookups(Map)</code></a></dd>
</dl>
</li>
</ul>
<a name="setDefaultLookups-java.util.Collection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefaultLookups</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="type parameter in BasicBuilderProperties">T</a>&nbsp;setDefaultLookups(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;? extends <a href="../../../../../org/apache/commons/configuration2/interpol/Lookup.html" title="interface in org.apache.commons.configuration2.interpol">Lookup</a>&gt;&nbsp;lookups)</pre>
<div class="block">Adds additional default <code>Lookup</code> objects (i.e. lookups which are
 not associated with a specific prefix) to this configuration object.
 Note: This method only takes effect if no
 <code>ConfigurationInterpolator</code> is set using the
 <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-"><code>setInterpolator(ConfigurationInterpolator)</code></a> method.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>lookups</code> - a collection with <code>Lookup</code> objects to be added as
        default lookups at the configuration's
        <code>ConfigurationInterpolator</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html#addDefaultLookups-java.util.Collection-"><code>ConfigurationInterpolator.addDefaultLookups(Collection)</code></a></dd>
</dl>
</li>
</ul>
<a name="setParentInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setParentInterpolator</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="type parameter in BasicBuilderProperties">T</a>&nbsp;setParentInterpolator(<a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol">ConfigurationInterpolator</a>&nbsp;parent)</pre>
<div class="block">Sets the parent <code>ConfigurationInterpolator</code> for this
 configuration's <code>ConfigurationInterpolator</code>. Setting a parent
 <code>ConfigurationInterpolator</code> can be used for defining a default
 behavior for variables which cannot be resolved.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - the new parent <code>ConfigurationInterpolator</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html#setParentInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-"><code>ConfigurationInterpolator.setParentInterpolator(ConfigurationInterpolator)</code></a></dd>
</dl>
</li>
</ul>
<a name="setSynchronizer-org.apache.commons.configuration2.sync.Synchronizer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSynchronizer</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="type parameter in BasicBuilderProperties">T</a>&nbsp;setSynchronizer(<a href="../../../../../org/apache/commons/configuration2/sync/Synchronizer.html" title="interface in org.apache.commons.configuration2.sync">Synchronizer</a>&nbsp;sync)</pre>
<div class="block">Sets the <code>Synchronizer</code> object for this configuration. This object
 is used to protect this configuration instance against concurrent access.
 The concrete <code>Synchronizer</code> implementation used determines whether
 a configuration instance is thread-safe or not.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sync</code> - the <code>Synchronizer</code> to be used (a value of <b>null</b>
        means that a default <code>Synchronizer</code> is used)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setConversionHandler-org.apache.commons.configuration2.convert.ConversionHandler-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConversionHandler</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="type parameter in BasicBuilderProperties">T</a>&nbsp;setConversionHandler(<a href="../../../../../org/apache/commons/configuration2/convert/ConversionHandler.html" title="interface in org.apache.commons.configuration2.convert">ConversionHandler</a>&nbsp;handler)</pre>
<div class="block">Sets the <code>ConversionHandler</code> object for this configuration. This
 object is responsible for all data type conversions required for
 accessing configuration properties in a specific target type. If this
 property is not set, a default <code>ConversionHandler</code> is used.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>handler</code> - the <code>ConversionHandler</code> to be used</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setConfigurationDecoder-org.apache.commons.configuration2.ConfigurationDecoder-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConfigurationDecoder</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="type parameter in BasicBuilderProperties">T</a>&nbsp;setConfigurationDecoder(<a href="../../../../../org/apache/commons/configuration2/ConfigurationDecoder.html" title="interface in org.apache.commons.configuration2">ConfigurationDecoder</a>&nbsp;decoder)</pre>
<div class="block">Sets the <code>ConfigurationDecoder</code> object for this configuration. This
 object is called when encoded properties are queried using the
 <code>getEncodedString()</code> method.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>decoder</code> - the <code>ConfigurationDecoder</code> to be used</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setBeanHelper-org.apache.commons.configuration2.beanutils.BeanHelper-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setBeanHelper</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="type parameter in BasicBuilderProperties">T</a>&nbsp;setBeanHelper(<a href="../../../../../org/apache/commons/configuration2/beanutils/BeanHelper.html" title="class in org.apache.commons.configuration2.beanutils">BeanHelper</a>&nbsp;beanHelper)</pre>
<div class="block">Sets a <code>BeanHelper</code> object to be used by the configuration builder.
 The <code>BeanHelper</code> is used to create the managed configuration
 instance dynamically. It is not a property of the configuration as most
 other properties defined by this interface. By setting an alternative
 <code>BeanHelper</code> the process of creating configuration instances via
 reflection can be adapted. (Some specialized configuration builder
 implementations also use a <code>BeanHelper</code> to create complex helper
 objects during construction of their result object.
 <code>CombinedConfigurationBuilder</code> for instance supports a complex
 configuration definition format which may contain several specialized
 bean declarations.) If no specific <code>BeanHelper</code> is set, the builder
 uses the default instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>beanHelper</code> - the <code>BeanHelper</code> to be used by the builder</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BasicBuilderProperties.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/builder/BasicBuilderProperties.html" target="_top">Frames</a></li>
<li><a href="BasicBuilderProperties.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
